emacs-bug-tracker
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-bug-tracker] bug#6768: closed (ls: fix a test failure that should


From: GNU bug Tracking System
Subject: [Emacs-bug-tracker] bug#6768: closed (ls: fix a test failure that should have been skipped)
Date: Sun, 07 Aug 2011 15:41:04 +0000

Your message dated Sun, 07 Aug 2011 17:38:59 +0200
with message-id <address@hidden>
and subject line Re: bug#6768: ls: fix a test failure that should have been 
skipped
has caused the GNU bug report #6768,
regarding ls: fix a test failure that should have been skipped
to be marked as done.

(If you believe you have received this mail in error, please contact
address@hidden)


-- 
6768: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6768
GNU Bug Tracking System
Contact address@hidden with problems
--- Begin Message --- Subject: ls: fix a test failure that should have been skipped Date: Fri, 30 Jul 2010 18:49:02 -0700 User-agent: Mutt/1.5.18 (2008-05-17)
Hi,

I just ran into this one test failure while building the latest sources.  The
test didn't really fail, but the exit via the function invoked in $() doesn't
terminate the test script, it simply terminates the substitution command.

Here are the bits where it failed:

++ inode_via_readdir /home/dsh/.gvfs
++ mount_point=/home/dsh/.gvfs
+++ basename /home/dsh/.gvfs
++ base=.gvfs
++ case $base in
++ skip_test_ 'mount point component starts with "."'
...
++ exit 77
+ readdir_inode=
++ env stat --format=%i /home/dsh/.gvfs
+ stat_inode=1
+ case $stat_inode in
+ test '' = 1
+ fail=1

This simple patch checks for a skipped test status and continues to the next
test.

>From d76e0dbf81798e209ad958fa9582c975452b36ab Mon Sep 17 00:00:00 2001
From: Dan Hipschman <address@hidden>
Date: Fri, 30 Jul 2010 18:33:33 -0700
Subject: [PATCH] ls: fix a test failure that should have been skipped

* tests/ls/readdir-mountpoint-inode: Check to see if skip_test_ is
called in a helper function via $() instead of mistakenly failing.
---
 tests/ls/readdir-mountpoint-inode |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/tests/ls/readdir-mountpoint-inode 
b/tests/ls/readdir-mountpoint-inode
index 2285e92..63378b6 100755
--- a/tests/ls/readdir-mountpoint-inode
+++ b/tests/ls/readdir-mountpoint-inode
@@ -64,6 +64,7 @@ inode_via_readdir()
 
 for dir in $mount_points; do
   readdir_inode=$(inode_via_readdir $dir)
+  test $? = 77 && continue
   stat_inode=$(env stat --format=%i $dir)
   # If stat fails or says the inode is 0, skip $dir.
   case $stat_inode in 0|'') continue;; esac
-- 
1.7.1




--- End Message ---
--- Begin Message --- Subject: Re: bug#6768: ls: fix a test failure that should have been skipped Date: Sun, 07 Aug 2011 17:38:59 +0200
Eric Blake wrote:

> On 07/30/2010 07:49 PM, address@hidden wrote:
>> Hi,
>>
>> I just ran into this one test failure while building the latest sources.  The
>> test didn't really fail, but the exit via the function invoked in $() doesn't
>> terminate the test script, it simply terminates the substitution command.
>>
>> Here are the bits where it failed:
>>
>> ++ case $base in
>> ++ skip_test_ 'mount point component starts with "."'
>> ...
>> ++ exit 77
>> + readdir_inode=
>> ++ env stat --format=%i /home/dsh/.gvfs
>
> Thanks; applied.
>
>> Subject: [PATCH] ls: fix a test failure that should have been skipped

Thanks.
Closing this issue.


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]